## ros-melodic-pal-statistics 1.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pal_statistics)

find_package(catkin REQUIRED COMPONENTS
  pal_statistics_msgs
  roscpp
  rospy
)
catkin_python_setup()
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS thread)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS pal_statistics_msgs roscpp
#  DEPENDS Boost
)

include_directories( SYSTEM
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

include_directories(include)

## Declare a C++ library
add_library(${PROJECT_NAME}
  src/pal_statistics_utils.cpp
  src/pal_statistics.cpp
  src/pal_statistics_macros.cpp
)

## Specify libraries to link a library or executable target against
 target_link_libraries(${PROJECT_NAME}
   ${catkin_LIBRARIES}
   ${Boost_LIBRARIES}
 )

## Add cmake target dependencies of the library
## as an example, code may need to be generated before libraries
## either from message generation or dynamic reconfigure
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

## Declare a C++ executable
## With catkin_make all packages are built within a single CMake context
## The recommended prefix ensures that target names across packages don't collide
# add_executable(${PROJECT_NAME}_node src/pal_statistics_node.cpp)

## Rename C++ executable without prefix
## The above recommended prefix causes long target names, the following renames the
## target back to the shorter version for ease of user use
## e.g. "rosrun someones_pkg node" instead of "rosrun someones_pkg someones_pkg_node"
# set_target_properties(${PROJECT_NAME}_node PROPERTIES OUTPUT_NAME node PREFIX "")

## Add cmake target dependencies of the executable
## same as for the library above
# add_dependencies(${PROJECT_NAME}_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})


#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)
    find_package(rostest REQUIRED)
    catkin_add_gtest(buffer-test test/gtest_buffer.cpp)
    target_link_libraries(buffer-test
                                ${PROJECT_NAME}
                                ${catkin_LIBRARIES})

    add_rostest_gmock(pal_statistics-test test/pal_statistics.test test/gtest_pal_statistics.cpp)
    target_link_libraries(pal_statistics-test
                                ${PROJECT_NAME}
                                ${catkin_LIBRARIES})

    add_rostest(test/pal_statistics_py.test)
endif(CATKIN_ENABLE_TESTING)
## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_pal_statistics.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-melodic-pal-statistics (1.4.1-1stretch) stretch; urgency=high

  * Update license on headers
    refs #5
  * Change License to MIT
    fixes #5
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 10 Nov 2020 23:00:00 -0000

ros-melodic-pal-statistics (1.4.0-1stretch) stretch; urgency=high

  * Merge branch 'use-atomic-bool' into 'erbium-devel'
    Use atomic bool, because we need atomic operation
    See merge request qa/pal_statistics!18
  * Use atomic bool, because we need atomic operation
  * Contributors: Victor Lopez, victor

 -- victor <victor.lopez@pal-robotics.com>  Thu, 12 Mar 2020 23:00:00 -0000

ros-melodic-pal-statistics (1.3.1-1stretch) stretch; urgency=high

  * Fix shadow variable warning
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 27 Aug 2019 22:00:00 -0000

ros-melodic-pal-statistics (1.3.0-1stretch) stretch; urgency=high

  * Merge branch 'async-optimizations' into 'erbium-devel'
    Optimize async update when everything is enabled
    See merge request qa/pal_statistics!17
  * Smarter clear and resize of vectors when all enabled
  * Optimize async update when everything is enabled
  * Add LGPL3 version text
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Sun, 11 Aug 2019 22:00:00 -0000

ros-melodic-pal-statistics (1.2.1-1stretch) stretch; urgency=high

  * Fix stamp of full messages
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 17 Apr 2019 22:00:00 -0000

ros-melodic-pal-statistics (1.2.0-1stretch) stretch; urgency=high

  * Merge branch 'optimized-msg' into 'erbium-devel'
    Optimized msg
    See merge request qa/pal_statistics!15
  * Update python api to new msgs
  * Rename full statistics topic
  * Add new messages
  * Change internal structure from vector of pairs to pair of vectors
  * Add missing add_dependencies
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 15 Apr 2019 22:00:00 -0000

ros-melodic-pal-statistics (1.1.1-1stretch) stretch; urgency=high

  * Merge branch 'correct-stamp' into 'erbium-devel'
    Correct stamp
    See merge request qa/pal_statistics!14
  * Add macros with variable argument count
  * Set time stamp from main thread
  * Fix maintainer
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-melodic-pal-statistics (1.1.0-1stretch) stretch; urgency=high

  * Merge branch 'fix-test' into 'erbium-devel'
    Fix spurious test failure when buffer was filled
    See merge request qa/pal_statistics!12
  * Fix spurious test failure when buffer was filled
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-pal-statistics (1.0.8-1stretch) stretch; urgency=high

  * Fix some issues with copyable object that shouldn't be
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 24 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.7-1stretch) stretch; urgency=high

  * Change Sleep to WallSleep
    When sim time stops being published. The thread can get stuck and never
    end.
  * Fix unitialized variable
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Wed, 24 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.6-1stretch) stretch; urgency=high

  * Merge branch 'improve-constness' into 'erbium-devel'
    Change namespace to pal_statistics and and const to double *
    Closes #5
    See merge request qa/pal_statistics!11
  * Add tests for registration modification between pubAsync and publishing
  * Change namespace to pal_statistics and and const to double *
    Fixes https://gitlab/qa/pal_statistics/issues/5
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.5-1stretch) stretch; urgency=high

  * Fix bug when changing registrations and publsihing before a pubAsync
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.4-1stretch) stretch; urgency=high

  * Merge branch 'auto-start-thread' into 'erbium-devel'
    Auto start thread and use steady clock for time diff
    See merge request qa/pal_statistics!10
  * Auto start thread and use steady clock for time diff
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 22 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.3-1stretch) stretch; urgency=high

  * Merge branch 'add-extendable-registration' into 'erbium-devel'
    Add the option to customize registration
    See merge request qa/pal_statistics!9
  * Add the option to customize registration
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Mon, 22 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.2-1stretch) stretch; urgency=high

  * Increase sleep time to reduce cpu load
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Sun, 21 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.1-1stretch) stretch; urgency=high

  * Merge branch 'add-enable' into 'erbium-devel'
    Add enable
    See merge request qa/pal_statistics!8
  * Fix RT loss due to condition_variable, extend tests
  * Reenable stressAsync test
  * Fix publish() not publishing updated data
  * Add buffer to last_values_
  * Improve const-correctness of methods
  * Extend macroTest
  * Add unregister variable macro and use constexpr
  * Restructure mutex and other optimizations
  * Add debug metrics
  * Use boost variant in VariableHolder
  * Remove nodehandle from buffer test
  * Add enable/disable
  * Add debuginfo of messages lost and set buffer size to 10
  * Add message queue buffer
  * Contributors: Victor Lopez

 -- victor <victor.lopez@pal-robotics.com>  Sun, 21 Oct 2018 22:00:00 -0000

ros-melodic-pal-statistics (1.0.0-1stretch) stretch; urgency=high



=== debian/control ===
Source: ros-melodic-pal-statistics
Section: misc
Priority: optional
Maintainer: victor <victor.lopez@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), google-mock, libboost-all-dev, ros-melodic-catkin, ros-melodic-pal-statistics-msgs, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-pal-statistics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-pal-statistics-msgs, ros-melodic-roscpp, ros-melodic-rospy
Description: The pal_statistics package
